Initiate Login

post/auth/login-init

Initiate the login sequence for an existing user. Multiple authentication methods are supported. To initiate login for a new user, use Sign Up. Alternatively, if you'd like to use login-init for both new and existing users, use the autoSignup request body option. To complete the login flow, use Complete Login. For more details, see Authentication.

Request

Body application/json

One of

  • loginMethodstringrequired
    Allowed values:algorand

    The login method to use.

  • networkstringrequired
    Allowed values:algorand-mainnetalgorand-testnet

    The blockchain network associated with the web3 address.

  • clientApplicationIdstringrequired

    ID of the client application created in an Immersve partner profile.

  • scopesstring[]required

    An array of authorization scopes requested by the client application.

  • addressstringrequired

    The web3 address to which the challenge is directed.

  • autoSignupboolean
    Allowed values:truefalse

    If set to true, creates a user account if one does not already exist for the web3 address attempting to log in.

Response

Successful operation.

Body application/json

  • idstring

    The unique identifier of the login request.

  • loginMethodstring

    The login method used.

  • modestring
    Allowed values:cardholder-login

    Identifies intention of the user.

  • networkstring

    The blockchain network associated with the web3 address.

  • clientApplicationIdstring

    ID of the client application created in an Immersve partner profile.

  • scopesstring[]

    An array of authorization scopes requested by the client application.

  • createdAtstring

    The date and time the login request was created.

  • urlstring<uri>

    Domain in the <domain> wants you to sign in.. of the EIP-4361 is derived from the host fragment of this parameter. The client application identified by clientApplicationId must allow this URL.

  • addressstring

    The web3 address to which the challenge is directed.

  • signingChallengeobject
    • descriptionstring

      The description of the challenge.

    • createdAtstring

      The date and time the challenge was created.

    • expiresAtstring

      The date and time the challenge expires.

    • messagestring

      The message to be signed by the web3 address owner.